Index: bldmol.f
===================================================================
--- bldmol.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ bldmol.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,49 +1,43 @@
-! **************************************************************
-!
-! This file contains the subroutines:  bldmol, fnd3ba,eyring,
-!                                      setsys,setgbl
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines:  bldmol, fnd3ba,eyring,
+c                                      setsys,setgbl
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine bldmol(nml)
 
-! .................................................
-! PURPOSE: calculate coordinates for molecule 'nml'
-!
-! OUTPUT:  xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,
-!          ztoat (via 'eyring')
-!
-!          1st backbone atom of 1st residue of 'nml': 
-!
-!          - it's position: from 'gbpr(1-3,nml)'
-!          - it's axes: from 'setgbl' according to
-!            global angles 'gbpr(4-5,nml)'
-!
-! CALLS: eyring, fnd3ba,setgbl,setsys
-! .................................................
-
-      include 'INCL.H'
-      ! Subroutine arguments
-      integer nml
-      
-      integer i, i1, i2, i3, ifirs, jow, j, jj
-      double precision x1, x2, x3, y1, y2, y3, z1, z2, z3
-      
-      double precision xg, zg
+c .................................................
+c PURPOSE: calculate coordinates for molecule 'nml'
+c
+c OUTPUT:  xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,
+c          ztoat (via 'eyring')
+c
+c          1st backbone atom of 1st residue of 'nml': 
+c
+c          - it's position: from 'gbpr(1-3,nml)'
+c          - it's axes: from 'setgbl' according to
+c            global angles 'gbpr(4-5,nml)'
+c
+c CALLS: eyring, fnd3ba,setgbl,setsys
+c .................................................
+
+      include 'INCL.H'
+
       dimension xg(3),zg(3)
 
 
       call fnd3ba(nml,i1,i2,i3)
-! ------------------------------ first 3 bb atoms of 'nml'
+c ------------------------------ first 3 bb atoms of 'nml'
       ixrfpt(1,nml)=i1
       ixrfpt(2,nml)=i2
       ixrfpt(3,nml)=i3
 
-! ------------------------------ position of 1st bb atom
+c ------------------------------ position of 1st bb atom
       xat(i1) = gbpr(1,nml)
       yat(i1) = gbpr(2,nml)
@@ -92,19 +86,16 @@
       return
       end
-! ***********************************
+c ***********************************
       subroutine fnd3ba(nml,i1,i2,i3)
  
-! .................................................
-! PURPOSE: return indices 'i1,i2,i3' of
-!          first 3 backbone atoms in molecule 'nml'
-!
-! CALLS:   fndbrn
-! .................................................
+c .................................................
+c PURPOSE: return indices 'i1,i2,i3' of
+c          first 3 backbone atoms in molecule 'nml'
+c
+c CALLS:   fndbrn
+c .................................................
  
       include 'INCL.H'
-! arguments      
-      integer nml, i1, i2, i3
-      
-      integer ibd, i, irs, ix
+
       dimension ibd(4)
       logical bb
@@ -113,13 +104,13 @@
       irs=irsml1(nml)
 
-! --------------------------- 1st bb atom
+c --------------------------- 1st bb atom
       i1=iatrs1(irs)
 
       call fndbrn(nml,irs,i1,i,ix,i2,bb)
 
-! --------------------------- 2nd bb atom
+c --------------------------- 2nd bb atom
       i2=i+1
 
-! ------------------------ check for ring
+c ------------------------ check for ring
 
       ibd(1)=iowat(i1)
@@ -134,7 +125,7 @@
 
           if (ix.ne.0) then
-            write (logString, '(2a,i3)') 
-     &         ' fnd3ba> Can handle only simple ring at 1st',
-     &         ' atom of molecule #',nml
+            write (*,'(2a,i3)') 
+     #         ' fnd3ba> Can handle only simple ring at 1st',
+     #         ' atom of molecule #',nml
             stop
           endif
@@ -144,5 +135,5 @@
       enddo
 
-! --------------------------- 3rd bb atom
+c --------------------------- 3rd bb atom
 
       ix=ixatrs(irs)
@@ -166,30 +157,26 @@
       endif
 
-      write (logString, '(4a,i4,a,i4)') 
-     &   ' fnd3ba> Cannot find backbone atom following ',nmat(i2),
-     &   ' of residue ',seq(irs),irs,' in molecule #',nml
+      write (*,'(4a,i4,a,i4)') 
+     #   ' fnd3ba> Cannot find backbone atom following ',nmat(i2),
+     #   ' of residue ',seq(irs),irs,' in molecule #',nml
       stop
 
       end
-! ***************************
+c ***************************
       subroutine eyring(i,ia)
 
-! .........................................................
-! PURPOSE:  calculate cartesian coordinates of atom 'i'
-!           using EYRING's algorithm
-! INPUT:    i - index of atom to be constructed
-!               for 'i': blat,csbaat,snbaat,cstoat,sntoat
-!           ia- index of atom from which 'i' is to be built
-! OUTPUT:   for 'i': xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,ztoat
-!
-! CALLS: none
-! .........................................................
-
-      include 'INCL.H'
-!     arguments
-      integer i, ia
-      double precision ct, st, ca, sa, bl, x1, x2, x3, z1, z2, z3
-      double precision y1, y2, y3, h2, h3, dx, dz
-      
+c .........................................................
+c PURPOSE:  calculate cartesian coordinates of atom 'i'
+c           using EYRING's algorithm
+c INPUT:    i - index of atom to be constructed
+c               for 'i': blat,csbaat,snbaat,cstoat,sntoat
+c           ia- index of atom from which 'i' is to be built
+c OUTPUT:   for 'i': xat,yat,zat,xbaat,ybaat,zbaat,xtoat,ytoat,ztoat
+c
+c CALLS: none
+c .........................................................
+
+      include 'INCL.H'
+
       ct=cstoat(i)
       st=sntoat(i)
@@ -241,30 +228,26 @@
       return
       end
-! ***********************************************************
+c ***********************************************************
       subroutine setsys(i1,i2,i3, x1,x2,x3,y1,y2,y3,z1,z2,z3)
 
-! ..........................................................
-!  PURPOSE:  calculate axes X,Y,Z of right-handed orthogonal
-!            system given by three atom positions R1, R2, R3
-!
-!            X = (R2-R1)/ |( )|
-!            Z = {X x (R2-R3)} / |{ }|
-!            Y = Z x X
-!
-!  INPUT:    i1, i2, i3 - indices of three atoms
-!  OUTPUT:   x1,x2,x3 |
-!            y1,y2,y3 | -direction cosines of X,Y,Z
-!            z1,z2,z3 |
-!
-!  CALLS:    none
-! ...................................................
-
-
-      include 'INCL.H'
-!     arguments
-      integer i1, i2, i3
-      double precision x1, x2, x3, y1, y2, y3, z1, z2, z3, h1, h2, h3
-      double precision dz, dx
-      
+c ..........................................................
+c  PURPOSE:  calculate axes X,Y,Z of right-handed orthogonal
+c            system given by three atom positions R1, R2, R3
+c
+c            X = (R2-R1)/ |( )|
+c            Z = {X x (R2-R3)} / |{ }|
+c            Y = Z x X
+c
+c  INPUT:    i1, i2, i3 - indices of three atoms
+c  OUTPUT:   x1,x2,x3 |
+c            y1,y2,y3 | -direction cosines of X,Y,Z
+c            z1,z2,z3 |
+c
+c  CALLS:    none
+c ...................................................
+
+
+      include 'INCL.H'
+
       h1=xat(i2)
       h2=yat(i2)
@@ -300,37 +283,32 @@
       end
 
-! *****************************************
+c *****************************************
       subroutine setgbl(nml,i1,i2,i3,xg,zg)
 
-! ...................................................
-!
-! PURPOSE: 1. Obtain global axes (J,K,L)
-!             related to x(1 0 0),y(0 1 0),z(0 0 1)
-!             by 3 rotations (gbl. parameters #4-#6):
-!
-!             - round z by angle alpha 
-!	      - round x' by a. beta 
-!	      - round y" by a. gamma
-!
-!          2. Return x-axis (xg) & z-axis (zg)
-!             for atom #1 in order to orientate J
-!             along the bond from backbone atom #1
-!             to bb.a. #2 and L according to the
-!             cross product [ bond(#1->#2) x
-!             bond(#2->#3) ] when using Eyring's
-!             algorithm to get the coordinates
-!
-! CALLS:   none
-! ..............................................
-
-      include 'INCL.H'
-!     arguments
-      integer nml, i1, i2, i3
-      double precision xg, zg, ag
+c ...................................................
+c
+c PURPOSE: 1. Obtain global axes (J,K,L)
+c             related to x(1 0 0),y(0 1 0),z(0 0 1)
+c             by 3 rotations (gbl. parameters #4-#6):
+c
+c             - round z by angle alpha 
+c	      - round x' by a. beta 
+c	      - round y" by a. gamma
+c
+c          2. Return x-axis (xg) & z-axis (zg)
+c             for atom #1 in order to orientate J
+c             along the bond from backbone atom #1
+c             to bb.a. #2 and L according to the
+c             cross product [ bond(#1->#2) x
+c             bond(#2->#3) ] when using Eyring's
+c             algorithm to get the coordinates
+c
+c CALLS:   none
+c ..............................................
+
+      include 'INCL.H'
+      
       dimension xg(3),zg(3),ag(3,3)
 
-      integer i
-      double precision ca, sa, cb,sb, cg, sg, d, ct2, ct3, dx, dz
-      double precision x1, x2, x3, y1, y2, y3, z1, z2, z3, st2, sa2, st3
 
       ca = cos(gbpr(4,nml))  ! alpha
@@ -341,5 +319,5 @@
       sg = sin(gbpr(6,nml))
 
-! ----------------------------- J
+c ----------------------------- J
       x1 =  ca*cg - sa*sb*sg
       x2 =  sa*cg + ca*sb*sg
@@ -350,5 +328,5 @@
       ag(2,1) = x2/d
       ag(3,1) = x3/d
-! ----------------------------- K
+c ----------------------------- K
       y1 = -sa*cb
       y2 =  ca*cb
@@ -359,5 +337,5 @@
       ag(2,2) = y2/d
       ag(3,2) = y3/d
-! ----------------------------- L
+c ----------------------------- L
       z1 =  ca*sg + sa*sb*cg
       z2 =  sa*sg - ca*sb*cg
@@ -369,5 +347,5 @@
       ag(3,3) = z3/d
 
-! ------------------------------------ X1
+c ------------------------------------ X1
       ct2 = cstoat(i2)
       st2 = sntoat(i2)
@@ -382,5 +360,5 @@
       x2 = x2/dx
       x3 = x3/dx
-! ------------------------------------- Z1
+c ------------------------------------- Z1
       st3 = sntoat(i3)
       ct3 = cstoat(i3)
@@ -394,9 +372,9 @@
       z2 = z2/dz
       z3 = z3/dz
-! ------------------------------------- Y1
+c ------------------------------------- Y1
       y1 = z2 * x3 - z3 * x2
       y3 = z1 * x2 - z2 * x1  ! do not need y2
 
-! ----------------------------- into global system
+c ----------------------------- into global system
 
       xg(1) = ag(1,1)*x1 + ag(1,2)*y1 + ag(1,3)*z1
Index: callbacktest.f
===================================================================
--- callbacktest.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ callbacktest.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,5 +1,5 @@
       subroutine metropolis(eol,enw,dummy)
-!f2py real*8 intent(in,out) eol
-!f2py real*8 intent(in,out) enw
+cf2py real*8 intent(in,out) eol
+cf2py real*8 intent(in,out) enw
         external dummy
         delta =  dummy(enw) - dummy(eol)
Index: canon.f
===================================================================
--- canon.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ canon.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,55 +1,50 @@
-! **************************************************************
-!
-! This file contains the subroutines: canon,can_weight 
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: canon,can_weight 
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine  canon(nequi, nswp, nmes, temp, lrand)
-! -----------------------------------------------------------------
-! PURPOSE: CANONICAL SIMULATION OF PROTEINS USING METROPOLIS UPDATES
-!
-! CALLS:  addang,energy,metropolis,hbond,helix,outvar,outpdb,rgyr
-!
-!-------------------------------------------------------------------
+C -----------------------------------------------------------------
+C PURPOSE: CANONICAL SIMULATION OF PROTEINS USING METROPOLIS UPDATES
+C
+C CALLS:  addang,energy,metropolis,hbond,helix,outvar,outpdb,rgyr
+C
+C-------------------------------------------------------------------
       include 'INCL.H'
 
-!f2py intent(in) nequi
-!f2py intent(in) nswp
-!f2py intent(in) nmes
-!f2py intent(in) temp
-!f2py logical optional, intent(in):: lrand = 1
+cf2py intent(in) nequi
+cf2py intent(in) nswp
+cf2py intent(in) nmes
+cf2py intent(in) temp
+cf2py logical optional, intent(in):: lrand = 1
 
-!     external rand
+c     external rand
       external can_weight
-      
-      double precision dv, grnd, vr, addang, eol, energy, acz, rgy, ee
-
-      integer i, iv, nsw, nhel, mhel, nbet, mbet, mhb
-
      
       logical lrand
-!      parameter(lrand=.false.)
-!      parameter(nequi=10, nswp=1000,nmes=10)
-!      parameter(temp=300.0)
-!     lrand=.true.: creates random start configuration 
-!     nequi: Number of sweeps for equilibrisation of system
+c      parameter(lrand=.false.)
+c      parameter(nequi=10, nswp=1000,nmes=10)
+c      parameter(temp=300.0)
+C     lrand=.true.: creates random start configuration 
+C     nequi: Number of sweeps for equilibrisation of system
       integer nequi
-!     nswp:  Number of sweeps for simulation run
+C     nswp:  Number of sweeps for simulation run
       integer nswp
-!     nmes:  Number of sweeps between measurments
+c     nmes:  Number of sweeps between measurments
       integer nmes
-!     temp:  Temperature of simulation
-      double precision temp, e_min
-!
+C     temp:  Temperature of simulation
+      double precision temp
+C
 !      common/bet/beta
 
       character*80 file
 
-!     Define files for output:
+c     Define files for output:
       open(13,file='time.d')
 
@@ -57,5 +52,5 @@
       beta=1.0/ ( temp * 1.98773d-3 )
 
-! _________________________________ random start
+c _________________________________ random start
       if(lrand) then
        do i=1,nvr
@@ -68,58 +63,50 @@
 
       eol = energy()
-      e_min = eol
-      write (logString, '(a,e12.5,/)')  'energy of start configuration:',eol
+      write (*,'(a,e12.5,/)')  'energy of start configuration:',eol
 
-! Write start configuration in pdb-format into file
+C Write start configuration in pdb-format into file
       call outpdb(0,'start.pdb')
 
-! =====================Equilibration by  Metropolis
+c =====================Equilibration by  Metropolis
       acz = 0.0d0
       do nsw=1,nequi
          call metropolis(eol,acz,can_weight)
       end do
-      write (logString, *) 'Energy after equilibration:',eol
+      write(*,*) 'Energy after equilibration:',eol
 
-!======================Simulation in canonical ensemble
+C======================Simulation in canonical ensemble
       acz = 0.0d0
       do nsw=0,nswp
         call metropolis(eol,acz,can_weight)
-        if (eol.lt.e_min) then
-           write (logString, *) "New minimum energy:", eol, "t=", nsw
-           write (logString, *) eyel,eyhb,eyvr,eysl
-           e_min = eol
-           call outpdb(0, "minen.pdb")
-        endif
-!
+c
         if(mod(nsw,nmes).eq.0) then
-! Measure radius of gyration and end-to-end distance
-! rgy: radius of gyration
-! ee:  end-to-end distance
+C Measure radius of gyration and end-to-end distance
+C rgy: radius of gyration
+C ee:  end-to-end distance
          call rgyr(1,rgy,ee)
-! Measure helicity 
-! nhel: number of helical residues
-! mhel: number of helical segments
-! nbet: number of sheet-like residues
-! mbet: number of sheet-like segments
+C Measure helicity 
+C nhel: number of helical residues
+c mhel: number of helical segments
+c nbet: number of sheet-like residues
+c mbet: number of sheet-like segments
          call helix(nhel,mhel,nbet,mbet) 
-! Measure number of hydrogen bonds (mhb)
+C Measure number of hydrogen bonds (mhb)
         do i=1,ntlml
          call hbond(i,mhb,0)
         end do
-! Write down information on actual conformation
-         write(13,'(i7,2f15.3,5i7,4f15.3)')  nsw,  eol, rgy,
-     &                              nhel,mhel,nbet,mbet,mhb,
-     &                              eyel,eyhb,eyvr,eysl
+C Write down information on actual conformation
+         write(13,'(i5,2f12.3,5i7)')  nsw,  eol, rgy,
+     &                              nhel,mhel,nbet,mbet,mhb
         end if
-!
+C
       end do
 
       acz = acz/dble(nsw*nvr)
-      write (logString, *) 'acceptance rate:',acz
-      write (logString, *)
-! ------------ Output Dihedreals of final configuration
-      write (logString, *) 'last energy',eol
+      write(*,*) 'acceptance rate:',acz
+      write(*,*)
+c ------------ Output Dihedreals of final configuration
+      write(*,*) 'last energy',eol
       call outvar(0,'lastconf.var')
-!     Output final conformation as pdb-file
+C     Output final conformation as pdb-file
       call outpdb(0,'final.pdb')
 
@@ -127,17 +114,16 @@
       close(12)
       close(13)
-! =====================
+c =====================
 
 
        end
 
-! ********************************************************
+c ********************************************************
       real*8 function can_weight(x)
-!
-! CALLS: none
-!
-      implicit none
-      double precision beta, x
+c
+c CALLS: none
+c
 
+      implicit real*8 (a-h,o-z) 
 
       common/bet/beta
Index: cnteny.f
===================================================================
--- cnteny.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ cnteny.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,31 +1,24 @@
-! **************************************************************
-!
-! This file contains the subroutines: cnteny
-!
-! Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: cnteny
+c
+c Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine cnteny(nml)
 
-! ................................................................................
-! PURPOSE: Calculate atomic contact energy of molecule 'nml' with ECEPP parameters
-!
-! CALLS: nursat
-! ................................................................................
+c ................................................................................
+c PURPOSE: Calculate atomic contact energy of molecule 'nml' with ECEPP parameters
+c
+c CALLS: nursat
+c ................................................................................
 
       include 'INCL.H'
 
-      double precision coeycn, coey, eyatcn, cqi, xi, yi, zi, xij, yij
-      double precision zij, rij2, rij4, rij6, rij, sr, ep, ey
-
-      integer ieyel, ntlvr, nml, iat1, nat, i, ifivr, i1s, io, iv, ia
-      integer it, ic, i2s, ims, i1, i2, ii, ity, ivw, j, jj, jty, i14
-      integer nbc, ir, nursat, idxat
-
-      parameter (coeycn=2.d0)  ! min. cont. energy to display
+      parameter (coeycn=2.d0)  ! min. cont. energy to display 
 
       dimension eyatcn(mxat),idxat(mxat)
@@ -37,6 +30,6 @@
 
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' cnteny> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' cnteny> No variables defined in molecule #',nml
         return
       endif
@@ -184,6 +177,6 @@
           nbc=nbc+1
           ir=nursat(i)
-          write (logString, '(1x,i4,1x,a4,1x,a4,a2,e11.4)') ir,seq(ir),
-     &       nmat(i), ': ',ey
+          write(*,'(1x,i4,1x,a4,1x,a4,a2,e11.4)') ir,seq(ir),nmat(i),
+     #                                            ': ',ey
         endif
       enddo
Index: contacts.f
===================================================================
--- contacts.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ contacts.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,24 +1,24 @@
-! **************************************************************
-!
-! This file contains the subroutines: contacts,c_alfa,c_cont
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: contacts,c_alfa,c_cont
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
       
        subroutine contacts(ncn,nham2,dham)
 
-! ..............................................................
-!
-! Calculates number of contacts in given conformation, number of
-! contacts which are the same in given and reference conformation,
-! and the hamming distance between given conformation and the 
-! reference conformation.
-!
-! CALLS: c_cont
-! ..............................................................
+c ..............................................................
+c
+c CALCULATES NUMBER OF CONTACTS IN GIVEN CONFORMATION, NUMBER OF
+c CONTACTS WHICH ARE THE SAME IN GIVEN AND REFERENCE ONFORMATION,
+c AND THE HAMMING DISTANCE BETWEEN GIVEN  CONFORMATION AND THE 
+c REFERENCE CONFORMATIONa
+c
+c CALLS: c_cont
+c ..............................................................
 
       include 'INCL.H'
@@ -26,11 +26,4 @@
 !f2py integer, intent(out) :: ncn, nham2 
 !f2py double precistion, intent(out) :: dham
-      integer ncn
-
-      integer nham2
-
-      double precision dham
-
-      integer i, j, nham, ncode, nresi
 
       call c_cont(1,ncode)
@@ -62,30 +55,27 @@
 
 
-! ********************************* 
+c ********************************* 
       subroutine c_alfa(nmol,ncode)
 
-! ......................................................
-!    Calculates the indices of C-alpha atoms and 
-!    stores in the array ind_alf(mxrs)
-!                        
-!    Usage: call c_alfa(nmol,ncode)
-!
-!           nmol - index of the molecule
-!           ncode ---> not in use in the current version
-!
-!    OUTPUT:  ind_alf(mxrs)
-!
-! CALLS: none
-! ......................................................
+c ......................................................
+c    Calculates the indices of C-alpha atoms and 
+c    stores in the array ind_alf(mxrs)
+c                        
+c    Usage: call c_alfa(nmol,ncode)
+c
+c           nmol - index of the molecule
+c           ncode ---> not in use in the current version
+c
+c    OUTPUT:  ind_alf(mxrs)
+c
+c CALLS: none
+c ......................................................
 
       include 'INCL.H'
-      integer nmol
-
-      integer ncode, ia, n_res
               
       do n_res=irsml1(nmol),irsml2(nmol) ! Over res. 
         do ia=iatrs1(n_res),iatrs2(n_res) ! Over the atoms of res. 
 
-!     Check for C_alpha atoms
+c     Check for C_alpha atoms
 
          if (nmat(ia)(1:2).eq.'ca') then
@@ -99,48 +89,43 @@
       end
 
-! **********************************
+c **********************************
       subroutine c_cont (nmol,ncode)
 
-!..............................................................
-!  Calculates the matrix of contacts between aminoacid residues 
-!  of the molecule "nmol" according to  L.Mirny and E.Domany, 
-!  PROTEINS:Structure, Function, and Genetics 26:391-410 (1996)
-!                
-!  Two residues are in contact if their C_alpha atoms are
-!  closer than 8.5 Angstrem
-!
-!  Usage: call c_cont(nmol,ncode)
-!
-!       Where nmol is the index of the molecule (always 1, in the 
-!       current version of SMM)
-!       ncode ---> not in use in the current version
-!
-!  IMPORTANT: Before the first call of this subroutine  "c_alfa"
-!          must be called to calculate the inices of C_alpha atoms.
-!          (ONLY ONCE)
-!
-!   OUTPUT: The output of this routine is the contact matrix
-!          ijcont(mxrs,mxrs) 
-!
-!              ijcont(i,j)=0---> residues i and j are not in contact
-!              ijcont(i,j)=1---> ---------''----- are in contact
-!              ijcont(i,j)=2---> residues i and j are adjacent
-!
-!    NOTE:  Adjacent residues are always in contact (and therefore not
-!           counted)
-!
-!         Here "mxrs" is the maximum number of residues for SMM
-!         Obviously, this subroutine calculates only NxN part
-!         of that matrix, N -is the number of res. in "nmol"
-! 
-! CALLS:  none
-!..............................................................
+c..............................................................
+c  Calculates the matrix of contacts between aminoacid residues 
+c  of the molecule "nmol" according to  L.Mirny and E.Domany, 
+c  PROTEINS:Structure, Function, and Genetics 26:391-410 (1996)
+c                
+c  Two residues are in contact if their C_alpha atoms are
+c  closer than 8.5 Angstrem
+c
+c  Usage: call c_cont(nmol,ncode)
+c
+c       Where nmol is the index of the molecule (always 1, in the 
+c       current version of SMM)
+c       ncode ---> not in use in the current version
+c
+c  IMPORTANT: Before the first call of this subroutine  "c_alfa"
+c          must be called to calculate the inices of C_alpha atoms.
+c          (ONLY ONCE)
+c
+c   OUTPUT: The output of this routine is the contact matrix
+c          ijcont(mxrs,mxrs) 
+c
+c              ijcont(i,j)=0---> residues i and j are not in contact
+c              ijcont(i,j)=1---> ---------''----- are in contact
+c              ijcont(i,j)=2---> residues i and j are adjacent
+c
+c    NOTE:  Adjacent residues are always in contact (and therefore not
+c           counted)
+c
+c         Here "mxrs" is the maximum number of residues for SMM
+c         Obviously, this subroutine calculates only NxN part
+c         of that matrix, N -is the number of res. in "nmol"
+c 
+c CALLS:  none
+c..............................................................
 
        include 'INCL.H'
-      integer nmol
-
-      double precision rcut, rij2
-
-      integer ncode, ic, ialf, jalf, nr_j, nr_i
 
        rcut=8.5   ! Domany
@@ -161,5 +146,5 @@
            do nr_j=nr_i+3,irsml2(nmol) ! Over res. j 
 
-!             write (logString, '(2i3)'),nr_i,nr_j
+c             write(*,'(2i3)'),nr_i,nr_j
 
               ic=0
@@ -169,9 +154,9 @@
 
               rij2=(xat(ialf)-xat(jalf))**2
-     &              +(yat(ialf)-yat(jalf))**2
-     &                   + (zat(ialf)-zat(jalf))**2
+     #              +(yat(ialf)-yat(jalf))**2
+     #                   + (zat(ialf)-zat(jalf))**2
               if(sqrt(rij2).lt.rcut) ic=1
 
-!             write (logString, '(2i3)'),nr_i,nr_j
+c             write(*,'(2i3)'),nr_i,nr_j
 
               ijcont(nr_i,nr_j)=ic
Index: difang.f
===================================================================
--- difang.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ difang.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,28 +1,28 @@
-! **************************************************************
-!
-! This file contains the subroutines: difang,addang
-!
-! Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: difang,addang
+c
+c Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       real*8 function difang(a1,a2)
 
-! ......................................................
-!  PURPOSE:  difang = a2 - a1  with:  -pi < difang <= pi
-!            
-!  INPUT:    a1,a2-two angles [rad.]
-!
-!  CALLS: none
-!
-! ......................................................
+c ......................................................
+c  PURPOSE:  difang = a2 - a1  with:  -pi < difang <= pi
+c            
+c  INPUT:    a1,a2-two angles [rad.]
+c
+c  CALLS: none
+c
+c ......................................................
 
-      implicit none
-      double precision pi, pi2, d, a2, a1
+      implicit real*8 (a-h,o-z)
+
       parameter (pi=3.141592653589793d0,
-     &           pi2=2.d0*pi)
+     #           pi2=2.d0*pi)
 
       d=mod((a2-a1),pi2)
@@ -35,21 +35,20 @@
       return
       end
-! *********************************
+c *********************************
       real*8 function addang(a1,a2)
 
-! ......................................................
-!  PURPOSE:  addang = a1 + a2  with:  -pi < addang <= pi
-!            
-!  INPUT:    a1,a2-two angles [rad.]
-!
-!  CALLS: none
-!
-! ......................................................
+c ......................................................
+c  PURPOSE:  addang = a1 + a2  with:  -pi < addang <= pi
+c            
+c  INPUT:    a1,a2-two angles [rad.]
+c
+c  CALLS: none
+c
+c ......................................................
 
-      implicit none
-      double precision pi, pi2, d, a1, a2
+      implicit real*8 (a-h,o-z)
 
       parameter (pi=3.141592653589793d0,
-     &           pi2=2.d0*pi)
+     #           pi2=2.d0*pi)
 
       d=mod((a1+a2),pi2)
